Subject: Re: bug#33919: [PATCH 0/5] Add Zstandard compression for installation and utilities

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jun 2019 20:32:05 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Alex <[email-masked]>
>> Date: Sun, 30 Dec 2018 00:46:08 -0600
>> 
>> I figured that it would be nice to support other compression programs
>> for installed files, and Zstandard[1] seems like a good alternative
>> for gzip in this area due to its fast decompression and wide range of
>> options.
>
> Thanks.
>
> I'm okay with adding support for zstd to Emacs, but I'm not sure we
> should complicate the build with offering yet another compression
> option.  Up front, I don't think the advantages of zstd are really so
> overwhelming that they will justify the complexity.
>
> So maybe split the patch series in two; the part that adds zstd
> support to Emacs can be installed already.

Nothing further was done here (I think), but Michael confirmed that the
Tramp part of the changes work.  And the functionality is split into
patches -- I can apply the first three patches (the ones that add the
support for external zstd binaries) and skip the last two (that add a
compilation option for the zstd library)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no